package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * @author 订单板材开料状态表
 */

@AllArgsConstructor
@Getter
public enum OrderPlateCutStatusEnum {

    NOCUTTING(0,"未开料"),
    OPENING(1,"开料中"),
    OPENED(2,"已开料");


    private Integer status;
    private String description;


    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }


    public boolean equals(OrderPlateCutStatusEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }


}
